Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25a:d00a:ff00/120
First address
2c19:dd:d9:dd:c25:c25a:d00a:ff00
Last address
2c19:dd:d9:dd:c25:c25a:d00a:ffff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:c25a:d00a:ff00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.f.a.0.0.d.a.5.2.c.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25a:d00a:ff00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25a:d00a:ff00/1282c19:dd:d9:dd:c25:c25a:d00a:ff00
22c19:dd:d9:dd:c25:c25a:d00a:ff01/1282c19:dd:d9:dd:c25:c25a:d00a:ff01
32c19:dd:d9:dd:c25:c25a:d00a:ff02/1282c19:dd:d9:dd:c25:c25a:d00a:ff02
42c19:dd:d9:dd:c25:c25a:d00a:ff03/1282c19:dd:d9:dd:c25:c25a:d00a:ff03
52c19:dd:d9:dd:c25:c25a:d00a:ff04/1282c19:dd:d9:dd:c25:c25a:d00a:ff04
62c19:dd:d9:dd:c25:c25a:d00a:ff05/1282c19:dd:d9:dd:c25:c25a:d00a:ff05
72c19:dd:d9:dd:c25:c25a:d00a:ff06/1282c19:dd:d9:dd:c25:c25a:d00a:ff06
82c19:dd:d9:dd:c25:c25a:d00a:ff07/1282c19:dd:d9:dd:c25:c25a:d00a:ff07
92c19:dd:d9:dd:c25:c25a:d00a:ff08/1282c19:dd:d9:dd:c25:c25a:d00a:ff08
102c19:dd:d9:dd:c25:c25a:d00a:ff09/1282c19:dd:d9:dd:c25:c25a:d00a:ff09
112c19:dd:d9:dd:c25:c25a:d00a:ff0a/1282c19:dd:d9:dd:c25:c25a:d00a:ff0a
122c19:dd:d9:dd:c25:c25a:d00a:ff0b/1282c19:dd:d9:dd:c25:c25a:d00a:ff0b
132c19:dd:d9:dd:c25:c25a:d00a:ff0c/1282c19:dd:d9:dd:c25:c25a:d00a:ff0c
142c19:dd:d9:dd:c25:c25a:d00a:ff0d/1282c19:dd:d9:dd:c25:c25a:d00a:ff0d
152c19:dd:d9:dd:c25:c25a:d00a:ff0e/1282c19:dd:d9:dd:c25:c25a:d00a:ff0e
162c19:dd:d9:dd:c25:c25a:d00a:ff0f/1282c19:dd:d9:dd:c25:c25a:d00a:ff0f
172c19:dd:d9:dd:c25:c25a:d00a:ff10/1282c19:dd:d9:dd:c25:c25a:d00a:ff10
182c19:dd:d9:dd:c25:c25a:d00a:ff11/1282c19:dd:d9:dd:c25:c25a:d00a:ff11
192c19:dd:d9:dd:c25:c25a:d00a:ff12/1282c19:dd:d9:dd:c25:c25a:d00a:ff12
202c19:dd:d9:dd:c25:c25a:d00a:ff13/1282c19:dd:d9:dd:c25:c25a:d00a:ff13
212c19:dd:d9:dd:c25:c25a:d00a:ff14/1282c19:dd:d9:dd:c25:c25a:d00a:ff14
222c19:dd:d9:dd:c25:c25a:d00a:ff15/1282c19:dd:d9:dd:c25:c25a:d00a:ff15
232c19:dd:d9:dd:c25:c25a:d00a:ff16/1282c19:dd:d9:dd:c25:c25a:d00a:ff16
242c19:dd:d9:dd:c25:c25a:d00a:ff17/1282c19:dd:d9:dd:c25:c25a:d00a:ff17
252c19:dd:d9:dd:c25:c25a:d00a:ff18/1282c19:dd:d9:dd:c25:c25a:d00a:ff18
262c19:dd:d9:dd:c25:c25a:d00a:ff19/1282c19:dd:d9:dd:c25:c25a:d00a:ff19
272c19:dd:d9:dd:c25:c25a:d00a:ff1a/1282c19:dd:d9:dd:c25:c25a:d00a:ff1a
282c19:dd:d9:dd:c25:c25a:d00a:ff1b/1282c19:dd:d9:dd:c25:c25a:d00a:ff1b
292c19:dd:d9:dd:c25:c25a:d00a:ff1c/1282c19:dd:d9:dd:c25:c25a:d00a:ff1c
302c19:dd:d9:dd:c25:c25a:d00a:ff1d/1282c19:dd:d9:dd:c25:c25a:d00a:ff1d
312c19:dd:d9:dd:c25:c25a:d00a:ff1e/1282c19:dd:d9:dd:c25:c25a:d00a:ff1e
322c19:dd:d9:dd:c25:c25a:d00a:ff1f/1282c19:dd:d9:dd:c25:c25a:d00a:ff1f
332c19:dd:d9:dd:c25:c25a:d00a:ff20/1282c19:dd:d9:dd:c25:c25a:d00a:ff20
342c19:dd:d9:dd:c25:c25a:d00a:ff21/1282c19:dd:d9:dd:c25:c25a:d00a:ff21
352c19:dd:d9:dd:c25:c25a:d00a:ff22/1282c19:dd:d9:dd:c25:c25a:d00a:ff22
362c19:dd:d9:dd:c25:c25a:d00a:ff23/1282c19:dd:d9:dd:c25:c25a:d00a:ff23
372c19:dd:d9:dd:c25:c25a:d00a:ff24/1282c19:dd:d9:dd:c25:c25a:d00a:ff24
382c19:dd:d9:dd:c25:c25a:d00a:ff25/1282c19:dd:d9:dd:c25:c25a:d00a:ff25
392c19:dd:d9:dd:c25:c25a:d00a:ff26/1282c19:dd:d9:dd:c25:c25a:d00a:ff26
402c19:dd:d9:dd:c25:c25a:d00a:ff27/1282c19:dd:d9:dd:c25:c25a:d00a:ff27
412c19:dd:d9:dd:c25:c25a:d00a:ff28/1282c19:dd:d9:dd:c25:c25a:d00a:ff28
422c19:dd:d9:dd:c25:c25a:d00a:ff29/1282c19:dd:d9:dd:c25:c25a:d00a:ff29
432c19:dd:d9:dd:c25:c25a:d00a:ff2a/1282c19:dd:d9:dd:c25:c25a:d00a:ff2a
442c19:dd:d9:dd:c25:c25a:d00a:ff2b/1282c19:dd:d9:dd:c25:c25a:d00a:ff2b
452c19:dd:d9:dd:c25:c25a:d00a:ff2c/1282c19:dd:d9:dd:c25:c25a:d00a:ff2c
462c19:dd:d9:dd:c25:c25a:d00a:ff2d/1282c19:dd:d9:dd:c25:c25a:d00a:ff2d
472c19:dd:d9:dd:c25:c25a:d00a:ff2e/1282c19:dd:d9:dd:c25:c25a:d00a:ff2e
482c19:dd:d9:dd:c25:c25a:d00a:ff2f/1282c19:dd:d9:dd:c25:c25a:d00a:ff2f
492c19:dd:d9:dd:c25:c25a:d00a:ff30/1282c19:dd:d9:dd:c25:c25a:d00a:ff30
502c19:dd:d9:dd:c25:c25a:d00a:ff31/1282c19:dd:d9:dd:c25:c25a:d00a:ff31
512c19:dd:d9:dd:c25:c25a:d00a:ff32/1282c19:dd:d9:dd:c25:c25a:d00a:ff32
522c19:dd:d9:dd:c25:c25a:d00a:ff33/1282c19:dd:d9:dd:c25:c25a:d00a:ff33
532c19:dd:d9:dd:c25:c25a:d00a:ff34/1282c19:dd:d9:dd:c25:c25a:d00a:ff34
542c19:dd:d9:dd:c25:c25a:d00a:ff35/1282c19:dd:d9:dd:c25:c25a:d00a:ff35
552c19:dd:d9:dd:c25:c25a:d00a:ff36/1282c19:dd:d9:dd:c25:c25a:d00a:ff36
562c19:dd:d9:dd:c25:c25a:d00a:ff37/1282c19:dd:d9:dd:c25:c25a:d00a:ff37
572c19:dd:d9:dd:c25:c25a:d00a:ff38/1282c19:dd:d9:dd:c25:c25a:d00a:ff38
582c19:dd:d9:dd:c25:c25a:d00a:ff39/1282c19:dd:d9:dd:c25:c25a:d00a:ff39
592c19:dd:d9:dd:c25:c25a:d00a:ff3a/1282c19:dd:d9:dd:c25:c25a:d00a:ff3a
602c19:dd:d9:dd:c25:c25a:d00a:ff3b/1282c19:dd:d9:dd:c25:c25a:d00a:ff3b
612c19:dd:d9:dd:c25:c25a:d00a:ff3c/1282c19:dd:d9:dd:c25:c25a:d00a:ff3c
622c19:dd:d9:dd:c25:c25a:d00a:ff3d/1282c19:dd:d9:dd:c25:c25a:d00a:ff3d
632c19:dd:d9:dd:c25:c25a:d00a:ff3e/1282c19:dd:d9:dd:c25:c25a:d00a:ff3e
642c19:dd:d9:dd:c25:c25a:d00a:ff3f/1282c19:dd:d9:dd:c25:c25a:d00a:ff3f
652c19:dd:d9:dd:c25:c25a:d00a:ff40/1282c19:dd:d9:dd:c25:c25a:d00a:ff40
662c19:dd:d9:dd:c25:c25a:d00a:ff41/1282c19:dd:d9:dd:c25:c25a:d00a:ff41
672c19:dd:d9:dd:c25:c25a:d00a:ff42/1282c19:dd:d9:dd:c25:c25a:d00a:ff42
682c19:dd:d9:dd:c25:c25a:d00a:ff43/1282c19:dd:d9:dd:c25:c25a:d00a:ff43
692c19:dd:d9:dd:c25:c25a:d00a:ff44/1282c19:dd:d9:dd:c25:c25a:d00a:ff44
702c19:dd:d9:dd:c25:c25a:d00a:ff45/1282c19:dd:d9:dd:c25:c25a:d00a:ff45
712c19:dd:d9:dd:c25:c25a:d00a:ff46/1282c19:dd:d9:dd:c25:c25a:d00a:ff46
722c19:dd:d9:dd:c25:c25a:d00a:ff47/1282c19:dd:d9:dd:c25:c25a:d00a:ff47
732c19:dd:d9:dd:c25:c25a:d00a:ff48/1282c19:dd:d9:dd:c25:c25a:d00a:ff48
742c19:dd:d9:dd:c25:c25a:d00a:ff49/1282c19:dd:d9:dd:c25:c25a:d00a:ff49
752c19:dd:d9:dd:c25:c25a:d00a:ff4a/1282c19:dd:d9:dd:c25:c25a:d00a:ff4a
762c19:dd:d9:dd:c25:c25a:d00a:ff4b/1282c19:dd:d9:dd:c25:c25a:d00a:ff4b
772c19:dd:d9:dd:c25:c25a:d00a:ff4c/1282c19:dd:d9:dd:c25:c25a:d00a:ff4c
782c19:dd:d9:dd:c25:c25a:d00a:ff4d/1282c19:dd:d9:dd:c25:c25a:d00a:ff4d
792c19:dd:d9:dd:c25:c25a:d00a:ff4e/1282c19:dd:d9:dd:c25:c25a:d00a:ff4e
802c19:dd:d9:dd:c25:c25a:d00a:ff4f/1282c19:dd:d9:dd:c25:c25a:d00a:ff4f
812c19:dd:d9:dd:c25:c25a:d00a:ff50/1282c19:dd:d9:dd:c25:c25a:d00a:ff50
822c19:dd:d9:dd:c25:c25a:d00a:ff51/1282c19:dd:d9:dd:c25:c25a:d00a:ff51
832c19:dd:d9:dd:c25:c25a:d00a:ff52/1282c19:dd:d9:dd:c25:c25a:d00a:ff52
842c19:dd:d9:dd:c25:c25a:d00a:ff53/1282c19:dd:d9:dd:c25:c25a:d00a:ff53
852c19:dd:d9:dd:c25:c25a:d00a:ff54/1282c19:dd:d9:dd:c25:c25a:d00a:ff54
862c19:dd:d9:dd:c25:c25a:d00a:ff55/1282c19:dd:d9:dd:c25:c25a:d00a:ff55
872c19:dd:d9:dd:c25:c25a:d00a:ff56/1282c19:dd:d9:dd:c25:c25a:d00a:ff56
882c19:dd:d9:dd:c25:c25a:d00a:ff57/1282c19:dd:d9:dd:c25:c25a:d00a:ff57
892c19:dd:d9:dd:c25:c25a:d00a:ff58/1282c19:dd:d9:dd:c25:c25a:d00a:ff58
902c19:dd:d9:dd:c25:c25a:d00a:ff59/1282c19:dd:d9:dd:c25:c25a:d00a:ff59
912c19:dd:d9:dd:c25:c25a:d00a:ff5a/1282c19:dd:d9:dd:c25:c25a:d00a:ff5a
922c19:dd:d9:dd:c25:c25a:d00a:ff5b/1282c19:dd:d9:dd:c25:c25a:d00a:ff5b
932c19:dd:d9:dd:c25:c25a:d00a:ff5c/1282c19:dd:d9:dd:c25:c25a:d00a:ff5c
942c19:dd:d9:dd:c25:c25a:d00a:ff5d/1282c19:dd:d9:dd:c25:c25a:d00a:ff5d
952c19:dd:d9:dd:c25:c25a:d00a:ff5e/1282c19:dd:d9:dd:c25:c25a:d00a:ff5e
962c19:dd:d9:dd:c25:c25a:d00a:ff5f/1282c19:dd:d9:dd:c25:c25a:d00a:ff5f
972c19:dd:d9:dd:c25:c25a:d00a:ff60/1282c19:dd:d9:dd:c25:c25a:d00a:ff60
982c19:dd:d9:dd:c25:c25a:d00a:ff61/1282c19:dd:d9:dd:c25:c25a:d00a:ff61
992c19:dd:d9:dd:c25:c25a:d00a:ff62/1282c19:dd:d9:dd:c25:c25a:d00a:ff62
1002c19:dd:d9:dd:c25:c25a:d00a:ff63/1282c19:dd:d9:dd:c25:c25a:d00a:ff63
1012c19:dd:d9:dd:c25:c25a:d00a:ff64/1282c19:dd:d9:dd:c25:c25a:d00a:ff64
1022c19:dd:d9:dd:c25:c25a:d00a:ff65/1282c19:dd:d9:dd:c25:c25a:d00a:ff65
1032c19:dd:d9:dd:c25:c25a:d00a:ff66/1282c19:dd:d9:dd:c25:c25a:d00a:ff66
1042c19:dd:d9:dd:c25:c25a:d00a:ff67/1282c19:dd:d9:dd:c25:c25a:d00a:ff67
1052c19:dd:d9:dd:c25:c25a:d00a:ff68/1282c19:dd:d9:dd:c25:c25a:d00a:ff68
1062c19:dd:d9:dd:c25:c25a:d00a:ff69/1282c19:dd:d9:dd:c25:c25a:d00a:ff69
1072c19:dd:d9:dd:c25:c25a:d00a:ff6a/1282c19:dd:d9:dd:c25:c25a:d00a:ff6a
1082c19:dd:d9:dd:c25:c25a:d00a:ff6b/1282c19:dd:d9:dd:c25:c25a:d00a:ff6b
1092c19:dd:d9:dd:c25:c25a:d00a:ff6c/1282c19:dd:d9:dd:c25:c25a:d00a:ff6c
1102c19:dd:d9:dd:c25:c25a:d00a:ff6d/1282c19:dd:d9:dd:c25:c25a:d00a:ff6d
1112c19:dd:d9:dd:c25:c25a:d00a:ff6e/1282c19:dd:d9:dd:c25:c25a:d00a:ff6e
1122c19:dd:d9:dd:c25:c25a:d00a:ff6f/1282c19:dd:d9:dd:c25:c25a:d00a:ff6f
1132c19:dd:d9:dd:c25:c25a:d00a:ff70/1282c19:dd:d9:dd:c25:c25a:d00a:ff70
1142c19:dd:d9:dd:c25:c25a:d00a:ff71/1282c19:dd:d9:dd:c25:c25a:d00a:ff71
1152c19:dd:d9:dd:c25:c25a:d00a:ff72/1282c19:dd:d9:dd:c25:c25a:d00a:ff72
1162c19:dd:d9:dd:c25:c25a:d00a:ff73/1282c19:dd:d9:dd:c25:c25a:d00a:ff73
1172c19:dd:d9:dd:c25:c25a:d00a:ff74/1282c19:dd:d9:dd:c25:c25a:d00a:ff74
1182c19:dd:d9:dd:c25:c25a:d00a:ff75/1282c19:dd:d9:dd:c25:c25a:d00a:ff75
1192c19:dd:d9:dd:c25:c25a:d00a:ff76/1282c19:dd:d9:dd:c25:c25a:d00a:ff76
1202c19:dd:d9:dd:c25:c25a:d00a:ff77/1282c19:dd:d9:dd:c25:c25a:d00a:ff77
1212c19:dd:d9:dd:c25:c25a:d00a:ff78/1282c19:dd:d9:dd:c25:c25a:d00a:ff78
1222c19:dd:d9:dd:c25:c25a:d00a:ff79/1282c19:dd:d9:dd:c25:c25a:d00a:ff79
1232c19:dd:d9:dd:c25:c25a:d00a:ff7a/1282c19:dd:d9:dd:c25:c25a:d00a:ff7a
1242c19:dd:d9:dd:c25:c25a:d00a:ff7b/1282c19:dd:d9:dd:c25:c25a:d00a:ff7b
1252c19:dd:d9:dd:c25:c25a:d00a:ff7c/1282c19:dd:d9:dd:c25:c25a:d00a:ff7c
1262c19:dd:d9:dd:c25:c25a:d00a:ff7d/1282c19:dd:d9:dd:c25:c25a:d00a:ff7d
1272c19:dd:d9:dd:c25:c25a:d00a:ff7e/1282c19:dd:d9:dd:c25:c25a:d00a:ff7e
1282c19:dd:d9:dd:c25:c25a:d00a:ff7f/1282c19:dd:d9:dd:c25:c25a:d00a:ff7f
1292c19:dd:d9:dd:c25:c25a:d00a:ff80/1282c19:dd:d9:dd:c25:c25a:d00a:ff80
1302c19:dd:d9:dd:c25:c25a:d00a:ff81/1282c19:dd:d9:dd:c25:c25a:d00a:ff81
1312c19:dd:d9:dd:c25:c25a:d00a:ff82/1282c19:dd:d9:dd:c25:c25a:d00a:ff82
1322c19:dd:d9:dd:c25:c25a:d00a:ff83/1282c19:dd:d9:dd:c25:c25a:d00a:ff83
1332c19:dd:d9:dd:c25:c25a:d00a:ff84/1282c19:dd:d9:dd:c25:c25a:d00a:ff84
1342c19:dd:d9:dd:c25:c25a:d00a:ff85/1282c19:dd:d9:dd:c25:c25a:d00a:ff85
1352c19:dd:d9:dd:c25:c25a:d00a:ff86/1282c19:dd:d9:dd:c25:c25a:d00a:ff86
1362c19:dd:d9:dd:c25:c25a:d00a:ff87/1282c19:dd:d9:dd:c25:c25a:d00a:ff87
1372c19:dd:d9:dd:c25:c25a:d00a:ff88/1282c19:dd:d9:dd:c25:c25a:d00a:ff88
1382c19:dd:d9:dd:c25:c25a:d00a:ff89/1282c19:dd:d9:dd:c25:c25a:d00a:ff89
1392c19:dd:d9:dd:c25:c25a:d00a:ff8a/1282c19:dd:d9:dd:c25:c25a:d00a:ff8a
1402c19:dd:d9:dd:c25:c25a:d00a:ff8b/1282c19:dd:d9:dd:c25:c25a:d00a:ff8b
1412c19:dd:d9:dd:c25:c25a:d00a:ff8c/1282c19:dd:d9:dd:c25:c25a:d00a:ff8c
1422c19:dd:d9:dd:c25:c25a:d00a:ff8d/1282c19:dd:d9:dd:c25:c25a:d00a:ff8d
1432c19:dd:d9:dd:c25:c25a:d00a:ff8e/1282c19:dd:d9:dd:c25:c25a:d00a:ff8e
1442c19:dd:d9:dd:c25:c25a:d00a:ff8f/1282c19:dd:d9:dd:c25:c25a:d00a:ff8f
1452c19:dd:d9:dd:c25:c25a:d00a:ff90/1282c19:dd:d9:dd:c25:c25a:d00a:ff90
1462c19:dd:d9:dd:c25:c25a:d00a:ff91/1282c19:dd:d9:dd:c25:c25a:d00a:ff91
1472c19:dd:d9:dd:c25:c25a:d00a:ff92/1282c19:dd:d9:dd:c25:c25a:d00a:ff92
1482c19:dd:d9:dd:c25:c25a:d00a:ff93/1282c19:dd:d9:dd:c25:c25a:d00a:ff93
1492c19:dd:d9:dd:c25:c25a:d00a:ff94/1282c19:dd:d9:dd:c25:c25a:d00a:ff94
1502c19:dd:d9:dd:c25:c25a:d00a:ff95/1282c19:dd:d9:dd:c25:c25a:d00a:ff95
1512c19:dd:d9:dd:c25:c25a:d00a:ff96/1282c19:dd:d9:dd:c25:c25a:d00a:ff96
1522c19:dd:d9:dd:c25:c25a:d00a:ff97/1282c19:dd:d9:dd:c25:c25a:d00a:ff97
1532c19:dd:d9:dd:c25:c25a:d00a:ff98/1282c19:dd:d9:dd:c25:c25a:d00a:ff98
1542c19:dd:d9:dd:c25:c25a:d00a:ff99/1282c19:dd:d9:dd:c25:c25a:d00a:ff99
1552c19:dd:d9:dd:c25:c25a:d00a:ff9a/1282c19:dd:d9:dd:c25:c25a:d00a:ff9a
1562c19:dd:d9:dd:c25:c25a:d00a:ff9b/1282c19:dd:d9:dd:c25:c25a:d00a:ff9b
1572c19:dd:d9:dd:c25:c25a:d00a:ff9c/1282c19:dd:d9:dd:c25:c25a:d00a:ff9c
1582c19:dd:d9:dd:c25:c25a:d00a:ff9d/1282c19:dd:d9:dd:c25:c25a:d00a:ff9d
1592c19:dd:d9:dd:c25:c25a:d00a:ff9e/1282c19:dd:d9:dd:c25:c25a:d00a:ff9e
1602c19:dd:d9:dd:c25:c25a:d00a:ff9f/1282c19:dd:d9:dd:c25:c25a:d00a:ff9f
1612c19:dd:d9:dd:c25:c25a:d00a:ffa0/1282c19:dd:d9:dd:c25:c25a:d00a:ffa0
1622c19:dd:d9:dd:c25:c25a:d00a:ffa1/1282c19:dd:d9:dd:c25:c25a:d00a:ffa1
1632c19:dd:d9:dd:c25:c25a:d00a:ffa2/1282c19:dd:d9:dd:c25:c25a:d00a:ffa2
1642c19:dd:d9:dd:c25:c25a:d00a:ffa3/1282c19:dd:d9:dd:c25:c25a:d00a:ffa3
1652c19:dd:d9:dd:c25:c25a:d00a:ffa4/1282c19:dd:d9:dd:c25:c25a:d00a:ffa4
1662c19:dd:d9:dd:c25:c25a:d00a:ffa5/1282c19:dd:d9:dd:c25:c25a:d00a:ffa5
1672c19:dd:d9:dd:c25:c25a:d00a:ffa6/1282c19:dd:d9:dd:c25:c25a:d00a:ffa6
1682c19:dd:d9:dd:c25:c25a:d00a:ffa7/1282c19:dd:d9:dd:c25:c25a:d00a:ffa7
1692c19:dd:d9:dd:c25:c25a:d00a:ffa8/1282c19:dd:d9:dd:c25:c25a:d00a:ffa8
1702c19:dd:d9:dd:c25:c25a:d00a:ffa9/1282c19:dd:d9:dd:c25:c25a:d00a:ffa9
1712c19:dd:d9:dd:c25:c25a:d00a:ffaa/1282c19:dd:d9:dd:c25:c25a:d00a:ffaa
1722c19:dd:d9:dd:c25:c25a:d00a:ffab/1282c19:dd:d9:dd:c25:c25a:d00a:ffab
1732c19:dd:d9:dd:c25:c25a:d00a:ffac/1282c19:dd:d9:dd:c25:c25a:d00a:ffac
1742c19:dd:d9:dd:c25:c25a:d00a:ffad/1282c19:dd:d9:dd:c25:c25a:d00a:ffad
1752c19:dd:d9:dd:c25:c25a:d00a:ffae/1282c19:dd:d9:dd:c25:c25a:d00a:ffae
1762c19:dd:d9:dd:c25:c25a:d00a:ffaf/1282c19:dd:d9:dd:c25:c25a:d00a:ffaf
1772c19:dd:d9:dd:c25:c25a:d00a:ffb0/1282c19:dd:d9:dd:c25:c25a:d00a:ffb0
1782c19:dd:d9:dd:c25:c25a:d00a:ffb1/1282c19:dd:d9:dd:c25:c25a:d00a:ffb1
1792c19:dd:d9:dd:c25:c25a:d00a:ffb2/1282c19:dd:d9:dd:c25:c25a:d00a:ffb2
1802c19:dd:d9:dd:c25:c25a:d00a:ffb3/1282c19:dd:d9:dd:c25:c25a:d00a:ffb3
1812c19:dd:d9:dd:c25:c25a:d00a:ffb4/1282c19:dd:d9:dd:c25:c25a:d00a:ffb4
1822c19:dd:d9:dd:c25:c25a:d00a:ffb5/1282c19:dd:d9:dd:c25:c25a:d00a:ffb5
1832c19:dd:d9:dd:c25:c25a:d00a:ffb6/1282c19:dd:d9:dd:c25:c25a:d00a:ffb6
1842c19:dd:d9:dd:c25:c25a:d00a:ffb7/1282c19:dd:d9:dd:c25:c25a:d00a:ffb7
1852c19:dd:d9:dd:c25:c25a:d00a:ffb8/1282c19:dd:d9:dd:c25:c25a:d00a:ffb8
1862c19:dd:d9:dd:c25:c25a:d00a:ffb9/1282c19:dd:d9:dd:c25:c25a:d00a:ffb9
1872c19:dd:d9:dd:c25:c25a:d00a:ffba/1282c19:dd:d9:dd:c25:c25a:d00a:ffba
1882c19:dd:d9:dd:c25:c25a:d00a:ffbb/1282c19:dd:d9:dd:c25:c25a:d00a:ffbb
1892c19:dd:d9:dd:c25:c25a:d00a:ffbc/1282c19:dd:d9:dd:c25:c25a:d00a:ffbc
1902c19:dd:d9:dd:c25:c25a:d00a:ffbd/1282c19:dd:d9:dd:c25:c25a:d00a:ffbd
1912c19:dd:d9:dd:c25:c25a:d00a:ffbe/1282c19:dd:d9:dd:c25:c25a:d00a:ffbe
1922c19:dd:d9:dd:c25:c25a:d00a:ffbf/1282c19:dd:d9:dd:c25:c25a:d00a:ffbf
1932c19:dd:d9:dd:c25:c25a:d00a:ffc0/1282c19:dd:d9:dd:c25:c25a:d00a:ffc0
1942c19:dd:d9:dd:c25:c25a:d00a:ffc1/1282c19:dd:d9:dd:c25:c25a:d00a:ffc1
1952c19:dd:d9:dd:c25:c25a:d00a:ffc2/1282c19:dd:d9:dd:c25:c25a:d00a:ffc2
1962c19:dd:d9:dd:c25:c25a:d00a:ffc3/1282c19:dd:d9:dd:c25:c25a:d00a:ffc3
1972c19:dd:d9:dd:c25:c25a:d00a:ffc4/1282c19:dd:d9:dd:c25:c25a:d00a:ffc4
1982c19:dd:d9:dd:c25:c25a:d00a:ffc5/1282c19:dd:d9:dd:c25:c25a:d00a:ffc5
1992c19:dd:d9:dd:c25:c25a:d00a:ffc6/1282c19:dd:d9:dd:c25:c25a:d00a:ffc6
2002c19:dd:d9:dd:c25:c25a:d00a:ffc7/1282c19:dd:d9:dd:c25:c25a:d00a:ffc7
2012c19:dd:d9:dd:c25:c25a:d00a:ffc8/1282c19:dd:d9:dd:c25:c25a:d00a:ffc8
2022c19:dd:d9:dd:c25:c25a:d00a:ffc9/1282c19:dd:d9:dd:c25:c25a:d00a:ffc9
2032c19:dd:d9:dd:c25:c25a:d00a:ffca/1282c19:dd:d9:dd:c25:c25a:d00a:ffca
2042c19:dd:d9:dd:c25:c25a:d00a:ffcb/1282c19:dd:d9:dd:c25:c25a:d00a:ffcb
2052c19:dd:d9:dd:c25:c25a:d00a:ffcc/1282c19:dd:d9:dd:c25:c25a:d00a:ffcc
2062c19:dd:d9:dd:c25:c25a:d00a:ffcd/1282c19:dd:d9:dd:c25:c25a:d00a:ffcd
2072c19:dd:d9:dd:c25:c25a:d00a:ffce/1282c19:dd:d9:dd:c25:c25a:d00a:ffce
2082c19:dd:d9:dd:c25:c25a:d00a:ffcf/1282c19:dd:d9:dd:c25:c25a:d00a:ffcf
2092c19:dd:d9:dd:c25:c25a:d00a:ffd0/1282c19:dd:d9:dd:c25:c25a:d00a:ffd0
2102c19:dd:d9:dd:c25:c25a:d00a:ffd1/1282c19:dd:d9:dd:c25:c25a:d00a:ffd1
2112c19:dd:d9:dd:c25:c25a:d00a:ffd2/1282c19:dd:d9:dd:c25:c25a:d00a:ffd2
2122c19:dd:d9:dd:c25:c25a:d00a:ffd3/1282c19:dd:d9:dd:c25:c25a:d00a:ffd3
2132c19:dd:d9:dd:c25:c25a:d00a:ffd4/1282c19:dd:d9:dd:c25:c25a:d00a:ffd4
2142c19:dd:d9:dd:c25:c25a:d00a:ffd5/1282c19:dd:d9:dd:c25:c25a:d00a:ffd5
2152c19:dd:d9:dd:c25:c25a:d00a:ffd6/1282c19:dd:d9:dd:c25:c25a:d00a:ffd6
2162c19:dd:d9:dd:c25:c25a:d00a:ffd7/1282c19:dd:d9:dd:c25:c25a:d00a:ffd7
2172c19:dd:d9:dd:c25:c25a:d00a:ffd8/1282c19:dd:d9:dd:c25:c25a:d00a:ffd8
2182c19:dd:d9:dd:c25:c25a:d00a:ffd9/1282c19:dd:d9:dd:c25:c25a:d00a:ffd9
2192c19:dd:d9:dd:c25:c25a:d00a:ffda/1282c19:dd:d9:dd:c25:c25a:d00a:ffda
2202c19:dd:d9:dd:c25:c25a:d00a:ffdb/1282c19:dd:d9:dd:c25:c25a:d00a:ffdb
2212c19:dd:d9:dd:c25:c25a:d00a:ffdc/1282c19:dd:d9:dd:c25:c25a:d00a:ffdc
2222c19:dd:d9:dd:c25:c25a:d00a:ffdd/1282c19:dd:d9:dd:c25:c25a:d00a:ffdd
2232c19:dd:d9:dd:c25:c25a:d00a:ffde/1282c19:dd:d9:dd:c25:c25a:d00a:ffde
2242c19:dd:d9:dd:c25:c25a:d00a:ffdf/1282c19:dd:d9:dd:c25:c25a:d00a:ffdf
2252c19:dd:d9:dd:c25:c25a:d00a:ffe0/1282c19:dd:d9:dd:c25:c25a:d00a:ffe0
2262c19:dd:d9:dd:c25:c25a:d00a:ffe1/1282c19:dd:d9:dd:c25:c25a:d00a:ffe1
2272c19:dd:d9:dd:c25:c25a:d00a:ffe2/1282c19:dd:d9:dd:c25:c25a:d00a:ffe2
2282c19:dd:d9:dd:c25:c25a:d00a:ffe3/1282c19:dd:d9:dd:c25:c25a:d00a:ffe3
2292c19:dd:d9:dd:c25:c25a:d00a:ffe4/1282c19:dd:d9:dd:c25:c25a:d00a:ffe4
2302c19:dd:d9:dd:c25:c25a:d00a:ffe5/1282c19:dd:d9:dd:c25:c25a:d00a:ffe5
2312c19:dd:d9:dd:c25:c25a:d00a:ffe6/1282c19:dd:d9:dd:c25:c25a:d00a:ffe6
2322c19:dd:d9:dd:c25:c25a:d00a:ffe7/1282c19:dd:d9:dd:c25:c25a:d00a:ffe7
2332c19:dd:d9:dd:c25:c25a:d00a:ffe8/1282c19:dd:d9:dd:c25:c25a:d00a:ffe8
2342c19:dd:d9:dd:c25:c25a:d00a:ffe9/1282c19:dd:d9:dd:c25:c25a:d00a:ffe9
2352c19:dd:d9:dd:c25:c25a:d00a:ffea/1282c19:dd:d9:dd:c25:c25a:d00a:ffea
2362c19:dd:d9:dd:c25:c25a:d00a:ffeb/1282c19:dd:d9:dd:c25:c25a:d00a:ffeb
2372c19:dd:d9:dd:c25:c25a:d00a:ffec/1282c19:dd:d9:dd:c25:c25a:d00a:ffec
2382c19:dd:d9:dd:c25:c25a:d00a:ffed/1282c19:dd:d9:dd:c25:c25a:d00a:ffed
2392c19:dd:d9:dd:c25:c25a:d00a:ffee/1282c19:dd:d9:dd:c25:c25a:d00a:ffee
2402c19:dd:d9:dd:c25:c25a:d00a:ffef/1282c19:dd:d9:dd:c25:c25a:d00a:ffef
2412c19:dd:d9:dd:c25:c25a:d00a:fff0/1282c19:dd:d9:dd:c25:c25a:d00a:fff0
2422c19:dd:d9:dd:c25:c25a:d00a:fff1/1282c19:dd:d9:dd:c25:c25a:d00a:fff1
2432c19:dd:d9:dd:c25:c25a:d00a:fff2/1282c19:dd:d9:dd:c25:c25a:d00a:fff2
2442c19:dd:d9:dd:c25:c25a:d00a:fff3/1282c19:dd:d9:dd:c25:c25a:d00a:fff3
2452c19:dd:d9:dd:c25:c25a:d00a:fff4/1282c19:dd:d9:dd:c25:c25a:d00a:fff4
2462c19:dd:d9:dd:c25:c25a:d00a:fff5/1282c19:dd:d9:dd:c25:c25a:d00a:fff5
2472c19:dd:d9:dd:c25:c25a:d00a:fff6/1282c19:dd:d9:dd:c25:c25a:d00a:fff6
2482c19:dd:d9:dd:c25:c25a:d00a:fff7/1282c19:dd:d9:dd:c25:c25a:d00a:fff7
2492c19:dd:d9:dd:c25:c25a:d00a:fff8/1282c19:dd:d9:dd:c25:c25a:d00a:fff8
2502c19:dd:d9:dd:c25:c25a:d00a:fff9/1282c19:dd:d9:dd:c25:c25a:d00a:fff9
2512c19:dd:d9:dd:c25:c25a:d00a:fffa/1282c19:dd:d9:dd:c25:c25a:d00a:fffa
2522c19:dd:d9:dd:c25:c25a:d00a:fffb/1282c19:dd:d9:dd:c25:c25a:d00a:fffb
2532c19:dd:d9:dd:c25:c25a:d00a:fffc/1282c19:dd:d9:dd:c25:c25a:d00a:fffc
2542c19:dd:d9:dd:c25:c25a:d00a:fffd/1282c19:dd:d9:dd:c25:c25a:d00a:fffd
2552c19:dd:d9:dd:c25:c25a:d00a:fffe/1282c19:dd:d9:dd:c25:c25a:d00a:fffe
2562c19:dd:d9:dd:c25:c25a:d00a:ffff/1282c19:dd:d9:dd:c25:c25a:d00a:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses